


void main()
{
	void self = getlocalvar("self"); //Get calling entity.
	void vSpawn; //Spawn object.
        void bSpawn;
        void cSpawn;
	int  vAlias = getentityproperty(self, "name");
	int  iHealth = getentityproperty(self, "health");
        int  iHPMax = getentityproperty(self, "maxhealth"); // Get entity's maximum health
	int  iDirection = getentityproperty(self, "direction");
    	changeentityproperty(self, "animation", openborconstant("ANI_FOLLOW30"));

	
        setspawnentry("name", "Hidler3");	
	vSpawn = spawn(); //Spawn in entity. 
	changeentityproperty(vSpawn, "position",  getentityproperty(self, "x")  , -60 + getentityproperty(self, "z"),  getentityproperty(self, "a")); 			changeentityproperty(vSpawn, "animation", openborconstant("ANI_FOLLOW30"));



       
        setspawnentry("name", "Hidler3"); 
	bSpawn = spawn();
	changeentityproperty(bSpawn, "position",  getentityproperty(self, "x")  , -30 + getentityproperty(self, "z"),  getentityproperty(self, "a")); 			changeentityproperty(bSpawn, "animation", openborconstant("ANI_FOLLOW30"));



       
        setspawnentry("name", "hidler3"); 
	cSpawn = spawn();
	changeentityproperty(cSpawn, "position",  getentityproperty(self, "x")  , 30 + getentityproperty(self, "z"),  getentityproperty(self, "a")); 			changeentityproperty(cSpawn, "animation", openborconstant("ANI_FOLLOW30"));


       
}
















